summaryrefslogtreecommitdiff
path: root/dev-python/python-redmine/python-redmine-2.0.2.ebuild
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2017-05-15 09:36:32 -0400
committerMichael Orlitzky <mjo@gentoo.org>2017-05-15 10:02:14 -0400
commit7f82b8f0a6dd7d56237719391ef5596c8645a46b (patch)
treebc585555e1e377c9634740e824511407e3ab3c3e /dev-python/python-redmine/python-redmine-2.0.2.ebuild
parent1bbde62483cd68c70b6d5067a883eac281f530fd (diff)
downloadgentoo-7f82b8f0a6dd7d56237719391ef5596c8645a46b.tar.gz
gentoo-7f82b8f0a6dd7d56237719391ef5596c8645a46b.tar.bz2
gentoo-7f82b8f0a6dd7d56237719391ef5596c8645a46b.zip
dev-python/python-redmine: new version 2.0.2.
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-python/python-redmine/python-redmine-2.0.2.ebuild')
-rw-r--r--dev-python/python-redmine/python-redmine-2.0.2.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/python-redmine/python-redmine-2.0.2.ebuild b/dev-python/python-redmine/python-redmine-2.0.2.ebuild
new file mode 100644
index 000000000000..53c1001ea04d
--- /dev/null
+++ b/dev-python/python-redmine/python-redmine-2.0.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface to the Redmine REST API"
+HOMEPAGE="https://github.com/maxtepkeev/python-redmine"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/requests[${PYTHON_USEDEP}]"
+
+# This package bundles dev-python/requests, so setup.py won't check for
+# it. As a result, we don't need RDEPEND in DEPEND unconditionally.
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/coverage[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ # Remove the bundled copy of dev-python/requests...
+ rm -r redminelib/packages/requests \
+ || die 'failed to remove the bundled copy of dev-python/requests'
+
+ # and replace its local import statement with a global one.
+ sed -i redminelib/packages/__init__.py \
+ -e 's/from . import requests/import requests/' \
+ || die 'failed to replace the dev-python/requests library import'
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests || die "tests failed under ${EPYTHON}"
+}